import 'package:flutter/material.dart';

class AppColor{

  static Color black = Colors.black;
  static Color white = Colors.white;
  static Color blue = HexColor("#0A2B6F");
  static const Color appOrange = Color(0xFFE1625B);
  static Color grey = HexColor("#707070");
  static Color red = Colors.red;
  static Color blueShade = HexColor('#F5F8FF');

  static Color appointment = HexColor('#2F61CB');
  static Color active = HexColor('#00A29F');
  static Color admitted = HexColor('#007ACA');
  static Color discharged = HexColor('#694CCB');
  static Color shows = HexColor('#6C6C6C');
  static Color rescheduled = HexColor('#AC8B07');
  static Color cancelled = HexColor('#C33426');
  static Color noAction = HexColor('#BD772A');

  static Color appointmentShade = HexColor('#97B3EE');
  static Color activeShade = HexColor('#95EDEB');
  static Color admittedShade = HexColor('#97CBEE');
  static Color dischargedShade = HexColor('#B6A3F5');
  static Color showsShade = HexColor('#DADADA');
  static Color rescheduledShade = HexColor('#F1C40F');
  static Color cancelledShade = HexColor('#ED9D95');
  static Color noActionShade = HexColor('#EDC495');

  static Color teal = HexColor('#49B7B5');
}

class HexColor extends Color {
  static int _getColorFromHex(String hexColor) {
    hexColor = hexColor.toUpperCase().replaceAll("#", "");
    if (hexColor.length == 6) {
      hexColor = "FF" + hexColor;
    }
    return int.parse(hexColor, radix: 16);
  }

  HexColor(final String hexColor) : super(_getColorFromHex(hexColor));
}